<?php

add_action('init','of_options');

if (!function_exists('of_options'))
{
	function of_options()
	{
		//Access the WordPress Categories via an Array
		$of_categories 		= array();  
		$of_categories_obj 	= get_categories('hide_empty=0');
		foreach ($of_categories_obj as $of_cat) {
		    $of_categories[$of_cat->cat_ID] = $of_cat->cat_name;}
		$categories_tmp 	= array_unshift($of_categories, "Select a category:");    
	       
		//Access the WordPress Pages via an Array
		$of_pages 			= array();
		$of_pages_obj 		= get_pages('sort_column=post_parent,menu_order');    
		foreach ($of_pages_obj as $of_page) {
		    $of_pages[$of_page->ID] = $of_page->post_name; }
		$of_pages_tmp 		= array_unshift($of_pages, "Select a page:");       
	
		//Testing 
		$of_options_select 	= array("one","two","three","four","five"); 
		$of_options_radio 	= array("one" => "One","two" => "Two","three" => "Three","four" => "Four","five" => "Five");
		
		//Sample Homepage blocks for the layout manager (sorter)
		$of_options_homepage_blocks = array
		( 
			"disabled" => array (
				"placebo" 		=> "placebo", //REQUIRED!
				"block_one"		=> "Block One",
				"block_two"		=> "Block Two",
				"block_three"	=> "Block Three",
			), 
			"enabled" => array (
				"placebo" 		=> "placebo", //REQUIRED!
				"block_four"	=> "Block Four",
			),
		);


		//Stylesheets Reader
		$alt_stylesheet_path = LAYOUT_PATH;
		$alt_stylesheets = array();
		
		if ( is_dir($alt_stylesheet_path) ) 
		{
		    if ($alt_stylesheet_dir = opendir($alt_stylesheet_path) ) 
		    { 
		        while ( ($alt_stylesheet_file = readdir($alt_stylesheet_dir)) !== false ) 
		        {
		            if(stristr($alt_stylesheet_file, ".css") !== false)
		            {
		                $alt_stylesheets[] = $alt_stylesheet_file;
		            }
		        }    
		    }
		}


		//Background Images Reader
		$bg_images_path = get_stylesheet_directory(). '/images/bg/'; // change this to where you store your bg images
		$bg_images_url = get_template_directory_uri().'/images/bg/'; // change this to where you store your bg images
		$bg_images = array();
		
		if ( is_dir($bg_images_path) ) {
		    if ($bg_images_dir = opendir($bg_images_path) ) { 
		        while ( ($bg_images_file = readdir($bg_images_dir)) !== false ) {
		            if(stristr($bg_images_file, ".png") !== false || stristr($bg_images_file, ".jpg") !== false) {
		            	natsort($bg_images); //Sorts the array into a natural order
		                $bg_images[] = $bg_images_url . $bg_images_file;
		            }
		        }    
		    }
		}
		

		/*-----------------------------------------------------------------------------------*/
		/* TO DO: Add options/functions that use these */
		/*-----------------------------------------------------------------------------------*/
		
		//More Options
		$uploads_arr 		= wp_upload_dir();
		$all_uploads_path 	= $uploads_arr['path'];
		$all_uploads 		= get_option('of_uploads');
		$other_entries 		= array("Select a number:","1","2","3","4","5","6","7","8","9","10","11","12","13","14","15","16","17","18","19");
		$body_repeat 		= array("no-repeat","repeat-x","repeat-y","repeat");
		$body_pos 			= array("top left","top center","top right","center left","center center","center right","bottom left","bottom center","bottom right");
		
		$imgs_url = get_template_directory_uri().'/images/';
		$imgs_url_demo = get_template_directory_uri().'/demo';



// Set the Options Array
global $of_options;
$of_options = array();
 

 

/*-----------------------------------------------------------------------------------*/
/* Header Settings */
/*-----------------------------------------------------------------------------------*/

$of_options[] = array( 	"name" 		=> esc_html__( 'Header Settings', 'paintable-wp' ),
						"type" 		=> "heading",
						"icon"		=> ADMIN_IMAGES . "icon-header.png"
				);


$of_options[] = array( 	"name" 		=> "",
						"desc" 		=> "",
						"id" 		=> "introduction_7",
						"std" 		=> "<h3 style=\"margin: 0 0 10px;\">". esc_html__('Custom Logo.', 'paintable-wp') ."</h3>
						". esc_html__('Upload a custom logo image for your site.', 'paintable-wp') ."",
						"icon" 		=> true,
						"type" 		=> "info");

$of_options[] = array( 	"name" 		=> esc_html__( 'Custom Logo.', 'paintable-wp' ),
						"desc" 		=> esc_html__('Upload a custom logo image for your site here. Size for height should be 60px or 120px for a better display, for retina screens.', 'paintable-wp'),
						"id" 		=> "paintable_wp_logo",
						"std" 		=> $imgs_url.'logo.png',
						"type" 		=> "upload");
					

$of_options[] = array( 	"name" 		=> esc_html__( 'Header Social Icons', 'paintable-wp' ),
						"desc" 		=> "",
						"id" 		=> "introduction_social",
						"std" 		=> "<h3 style=\"margin: 0 0 10px;\">". esc_html__('Header Social Icons.', 'paintable-wp') ."</h3>
						<strong>". esc_html__('Social Icons', 'paintable-wp') ."</strong> ". esc_html__('- Header Social Icons.', 'paintable-wp') ."",
						"icon" 		=> true,
						"type" 		=> "info");

$of_options[] = array( 	"name" 		=> esc_html__( 'Social Icons.', 'paintable-wp' ),
						"desc" 		=> "". esc_html__('You can use HTML code. For more social icons go to', 'paintable-wp') ." <a href=\"http://fontawesome.io/icons/\" target=\"_blank\">Font Awesome</a> ". esc_html__('and at the bottom you have Brand Icons!', 'paintable-wp') ."",
						"id" 		=> "paintable_wp_top_icons",
						"std" 		=> "
<li><a href=\"#\"><i class=\"fa fa-facebook\"></i></a></li>
<li><a href=\"#\"><i class=\"fa fa-twitter\"></i></a></li>
<li><a href=\"#\"><i class=\"fa fa-instagram\"></i></a></li>
<li><a href=\"#\"><i class=\"fa fa-pinterest\"></i></a></li>
<li><a href=\"#\"><i class=\"fa fa-youtube\"></i></a></li>
",
						"type" 		=> "textarea");	


$of_options[] = array( 	"name" 		=> esc_html__( 'Welcome Message', 'paintable-wp' ),
						"desc" 		=> "",
						"id" 		=> "introduction_social",
						"std" 		=> "<h3 style=\"margin: 0 0 10px;\">". esc_html__('Welcome Message.', 'paintable-wp') ."</h3>
						<strong>". esc_html__('Use this section to greet your visitors and describe what you do.
', 'paintable-wp') ."</strong> ". esc_html__('- Welcome Message.', 'paintable-wp') ."",
						"icon" 		=> true,
						"type" 		=> "info");

$of_options[] = array( 	"name" 		=> esc_html__( 'Welcome Message.', 'paintable-wp' ),
						"desc" 		=> "". esc_html__('Use this section to greet your visitors and describe what you do.', 'paintable-wp') ."",
						"id" 		=> "paintable_wp_welcome_message",
						"std" 		=> "". esc_html__('Hello! My name is Alexandra Jones and this is my website. Use this section to greet your visitors and describe what you do.', 'paintable-wp') ."",
						"type" 		=> "textarea");	



/*-----------------------------------------------------------------------------------*/
/* Blog Settings */
/*-----------------------------------------------------------------------------------*/
$of_options[] = array( 	"name" 		=> esc_html__( 'Blog Settings', 'paintable-wp' ),
						"type" 		=> "heading",
						"icon"		=> ADMIN_IMAGES . "icon-edit.png"
				);

$of_options[] = array( 	"name" 		=> esc_html__( 'Pagination or Infinite Scroll.', 'paintable-wp' ),
						"desc" 		=> "",
						"id" 		=> "introduction_home_posts",
						"std" 		=> "<h3 style=\"margin: 0 0 10px;\">". esc_html__('Pagination or Infinite Scroll.', 'paintable-wp') ."</h3>
						<strong>". esc_html__('Pagination or Infinite Scroll', 'paintable-wp') ."</strong> ". esc_html__(' - Choose the option that better fits your needs, default is Infinite Scroll.', 'paintable-wp') ."",
						"icon" 		=> true,
						"type" 		=> "info");

$of_options[] = array( 	"name" 		=> esc_html__( 'Pagination or Infinite Scroll.', 'paintable-wp' ),
						"desc" 		=> esc_html__( 'Choose the option that better fits your needs, default is Infinite Scroll.', 'paintable-wp' ),
						"id" 		=> "paintable_wp_home_pag_select",
						"std" 		=> "0",
						"type" 		=> "select",
						"options" 	=> array(
										esc_html__( 'Default Pagination', 'paintable-wp' ),
										esc_html__( 'Infinite Scroll', 'paintable-wp' )
									),
					);


$of_options[] = array( 	"name" 		=> esc_html__( 'Home Posts', 'paintable-wp' ),
						"desc" 		=> "",
						"id" 		=> "introduction_home_posts",
						"std" 		=> "<h3 style=\"margin: 0 0 10px;\">". esc_html__('Home Posts.', 'paintable-wp') ."</h3>
						<strong>". esc_html__('Home Posts', 'paintable-wp') ."</strong> ". esc_html__(' - Date format / Hide title and date.', 'paintable-wp') ."",
						"icon" 		=> true,
						"type" 		=> "info");

$of_options[] = array( 	"name" 		=> esc_html__( 'Home - Hide title and date?', 'paintable-wp' ),
						"desc" 		=> esc_html__( 'Home - Hide title and date?', 'paintable-wp' ),
						"id" 		=> "paintable_wp_hide_td",
						"std" 		=> esc_html__( 'No', 'paintable-wp' ),
						"type" 		=> "select",
						"options" 	=> array(
										esc_html__( 'No', 'paintable-wp' ),
										esc_html__( 'Yes', 'paintable-wp' )
									),
					);

$of_options[] = array( 	"name" 		=> esc_html__( 'Home Date Format', 'paintable-wp' ),
						"desc" 		=> esc_html__( 'Home Date Format', 'paintable-wp' ),
						"id" 		=> "paintable_wp_date_format",
						"std" 		=> esc_html__( '23 June 17', 'paintable-wp' ),
						"type" 		=> "select",
						"options" 	=> array(
										esc_html__( '23 June 17', 'paintable-wp' ),
										esc_html__( '1 week ago', 'paintable-wp' )
									),
					);


$of_options[] = array( 	"name" 		=> esc_html__( 'Posts - Download button / text.', 'paintable-wp' ),
						"desc" 		=> "",
						"id" 		=> "introduction_download",
						"std" 		=> "<h3 style=\"margin: 0 0 10px;\">". esc_html__('Posts - Download section button / text.', 'paintable-wp') ."</h3>
						". esc_html__('Posts - Download section button / text.', 'paintable-wp') ."",
						"icon" 		=> true,
						"type" 		=> "info");

$of_options[] = array( 	"name" 		=> esc_html__( 'Dispay Download section text/button?', 'paintable-wp' ),
						"desc" 		=> esc_html__( 'Dispay Download section text/button? In order to be displayed the Download section, the post need to have the featured image.', 'paintable-wp' ),
						"id" 		=> "paintable_wp_display_download",
						"std" 		=> esc_html__( 'No', 'paintable-wp' ),
						"type" 		=> "select",
						"options" 	=> array(
										esc_html__( 'No', 'paintable-wp' ),
										esc_html__( 'Yes', 'paintable-wp' )
									),
					);

$of_options[] = array( 	"name" 		=> esc_html__( 'Posts - Download section text.', 'paintable-wp' ),
						"desc" 		=> esc_html__( 'You can use HTML code. Change # with your link.', 'paintable-wp' ),
						"id" 		=> "paintable_wp_downloadtext",
						"std" 		=> "<h2>Free (<a href=\"#\">do whatever you want</a>) high-resolution photos.<h2>
<h3>To get the best of Paintable delivered to your inbox, <a href=\"#\">subscribe</a>.</h3>",
						"type" 		=> "textarea");	

$of_options[] = array( 	"name" 		=> esc_html__( 'Posts - Download button text.', 'paintable-wp' ),
						"desc" 		=> esc_html__( 'Change the Download button text.', 'paintable-wp' ),
						"id" 		=> "paintable_wp_downloadbtn",
						"std" 		=> "Download",
						"type" 		=> "text");	


$of_options[] = array( 	"name" 		=> esc_html__( 'Display Related Posts by Category.', 'paintable-wp' ),
						"desc" 		=> "",
						"id" 		=> "introduction_download",
						"std" 		=> "<h3 style=\"margin: 0 0 10px;\">". esc_html__('Display Related Posts by Category.', 'paintable-wp') ."</h3>
						". esc_html__('Display Related Posts by Category for post page.', 'paintable-wp') ."",
						"icon" 		=> true,
						"type" 		=> "info");

$of_options[] = array( 	"name" 		=> esc_html__( 'Display Related Posts by Category?', 'paintable-wp' ),
						"desc" 		=> esc_html__( 'Display Related Posts by Category?', 'paintable-wp' ),
						"id" 		=> "paintable_wp_display_relatedp",
						"std" 		=> esc_html__( 'No', 'paintable-wp' ),
						"type" 		=> "select",
						"options" 	=> array(
										esc_html__( 'No', 'paintable-wp' ),
										esc_html__( 'Yes', 'paintable-wp' )
									),
					);


/*-----------------------------------------------------------------------------------*/
/* Style Settings */
/*-----------------------------------------------------------------------------------*/
$of_options[] = array( 	"name" 		=> esc_html__( 'Style Settings', 'paintable-wp' ),
						"type" 		=> "heading",
						"icon"		=> ADMIN_IMAGES . "icon-paint.png");


$of_options[] = array( 	"name" 		=> esc_html__( 'Style', 'paintable-wp' ),
						"desc" 		=> "",
						"id" 		=> "introduction_14",
						"std" 		=> "<h3 style=\"margin: 0 0 10px;\">".esc_html__( 'Style Settings', 'paintable-wp' )."</h3>
						". esc_html__( 'Use the color picker to change the main color of the site to match your brand color.', 'paintable-wp' ) ."",
						"icon" 		=> true,
						"type" 		=> "info");

$of_options[] = array( 	"name" 		=> esc_html__( 'Main Color (black)', 'paintable-wp' ),
						"desc" 		=> esc_html__( 'Use the color picker to change the main color of the site to match your brand color.', 'paintable-wp' ),
						"id" 		=> "paintable_wp_main_color1",
						"std" 		=> "#000000",
						"type" 		=> "color"
				);

$of_options[] = array( 	"name" 		=> esc_html__( 'Main Color (red)', 'paintable-wp' ),
						"desc" 		=> esc_html__( 'Use the color picker to change the main color of the site to match your brand color.', 'paintable-wp' ),
						"id" 		=> "paintable_wp_main_color2",
						"std" 		=> "#d01d1d",
						"type" 		=> "color"
				);

$of_options[] = array( 	"name" 		=> esc_html__( 'Main Color (orange)', 'paintable-wp' ),
						"desc" 		=> esc_html__( 'Use the color picker to change the main color of the site to match your brand color.', 'paintable-wp' ),
						"id" 		=> "paintable_wp_main_color3",
						"std" 		=> "#e0bf0a",
						"type" 		=> "color"
				);




$of_options[] = array( 	"name" 		=> esc_html__( 'Style', 'paintable-wp' ),
						"desc" 		=> "",
						"id" 		=> "introduction_11",
						"std" 		=> "<h3 style=\"margin: 0 0 10px;\">".esc_html__( 'Style Settings', 'paintable-wp' )."</h3>
						". esc_html__( 'Use the color picker to change the main color of the site to match your brand color.', 'paintable-wp' ) ."",
						"icon" 		=> true,
						"type" 		=> "info");


$of_options[] = array( 	"name" 		=> esc_html__( 'Entry Link Color', 'paintable-wp' ),
						"desc" 		=> esc_html__( 'Use the color picker to change the entry link color on article or default / full width pages.', 'paintable-wp' ),
						"id" 		=> "paintable_wp_entry_linkcolor",
						"std" 		=> "#d01d1d",
						"type" 		=> "color"
				);


$of_options[] = array( 	"name" 		=> esc_html__( 'Custom CSS.', 'paintable-wp' ),
						"desc" 		=> "",
						"id" 		=> "introduction_customcss",
						"std" 		=> "<h3 style=\"margin: 0 0 10px;\">Custom CSS.</h3>
						". esc_html__( 'Enter your custom CSS code. It will be included in the head section of the page.', 'paintable-wp' ) ."",
						"icon" 		=> true,
						"type" 		=> "info");

$of_options[] = array( 	"name" 		=> esc_html__( 'Custom CSS.', 'paintable-wp' ),
						"desc" 		=> __( 'Enter your custom CSS code. It will be included in the head section of the page. Use the <b>!important</b> tag as well. <br /><br />Like this: <code>.logo { display: none !important; }</code> ', 'paintable-wp' ),
						"id" 		=> "paintable_wp_custom_css_style",
						"std" 		=> "",
						"type" 		=> "textarea");





/*-----------------------------------------------------------------------------------*/
/* Footer Settings */
/*-----------------------------------------------------------------------------------*/
$of_options[] = array( 	"name" 		=> esc_html__( 'Footer Settings', 'paintable-wp' ),
						"type" 		=> "heading",
						"icon"		=> ADMIN_IMAGES . "icon-settings.png");



$of_options[] = array( 	"name" 		=> "",
						"desc" 		=> "",
						"id" 		=> "introduction_7",
						"std" 		=> "<h3 style=\"margin: 0 0 10px;\">". esc_html__('Custom Logo for Footer.', 'paintable-wp') ."</h3>
						". esc_html__('Upload a custom logo image for your site.', 'paintable-wp') ."",
						"icon" 		=> true,
						"type" 		=> "info");

$of_options[] = array( 	"name" 		=> esc_html__( 'Footer Custom Logo.', 'paintable-wp' ),
						"desc" 		=> esc_html__('Upload a custom logo image for your site here. The Logo can have any size.', 'paintable-wp'),
						"id" 		=> "paintable_wp_logo_footer",
						"std" 		=> $imgs_url.'logo-footer.png',
						"type" 		=> "upload");
					

$of_options[] = array( 	"name" 		=> esc_html__( 'Copyright', 'paintable-wp' ),
						"desc" 		=> "",
						"id" 		=> "introduction_copy",
						"std" 		=> "<h3 style=\"margin: 0 0 10px;\">Copyright.</h3>
						<strong>Copyright</strong> - Footer Copyright.",
						"icon" 		=> true,
						"type" 		=> "info");


$of_options[] = array( 	"name" 		=> esc_html__( 'Copyright', 'paintable-wp' ),
						"desc" 		=> "You can use HTML code. Change # with your link.",
						"id" 		=> "paintable_wp_copyright",
						"std" 		=> "<p>851 E. Tropicana Avenue Las Vegas 
<i class=\"fa fa-times\"></i> (702)&nbsp;895-3174 

<i class=\"fa fa-times\"></i> <a href=\"#\">As Photography </a> 

<i class=\"fa fa-times\"></i> <a href=\"#\">As Blog </a> 

<i class=\"fa fa-times\"></i> <a href=\"#\">Submit</a> 

<i class=\"fa fa-times\"></i> <a href=\"mailto:info@paintable.com\">info@paintable.com</a> </p>

<p><span>&copy; 2020 Paintable. All Rights Reserved. Theme by <a target=\"_blnak\" href=\"https://anthemes.com/\">Anthemes.com</a></span></p>",
						"type" 		=> "textarea");	
 



				
	}//End function: of_options()
}//End chack if function exists: of_options()
?>
