<?php
// ------------------------------------------------ 
// ---------- Options Framework Theme -------------
// ------------------------------------------------
 include( get_template_directory() . '/admin/index.php');

// ---------------------------------------------- 
// - Updates for Themes (Envato Market plugin.) -
// ---------------------------------------------- 
 include( get_template_directory() . '/functions/custom/github.php');

// ---------------------------------------------- 
// --------------- Load Custom Widgets ----------
// ----------------------------------------------
 include( get_template_directory() . '/functions/widgets.php');
 include( get_template_directory() . '/functions/widgets/widget-banner-300.php');         //1 
 include( get_template_directory() . '/functions/widgets/widget-banner-250.php');         //2
 include( get_template_directory() . '/functions/widgets/widget-latest-posts-tags.php');  //3
 include( get_template_directory() . '/functions/widgets/widget-latest-posts.php');       //4
 include( get_template_directory() . '/functions/widgets/widget-posts-categories.php');   //5
 include( get_template_directory() . '/functions/widgets/widget-top-posts.php');          //6
 include( get_template_directory() . '/functions/widgets/widget-top-liked-posts.php');    //7

// ----------------------------------------------
// --------------- Load Custom ------------------
// ---------------------------------------------- 
 include( get_template_directory() . '/functions/custom/comments.php');
  
// ----------------------------------------------
// ------ Content width -------------------------
// ----------------------------------------------
if ( ! isset( $content_width ) ) $content_width = 720;

// ----------------------------------------------
// ------ Theme set up --------------------------
// ----------------------------------------------
add_action( 'after_setup_theme', 'paintable_wp_theme_setup' );
if ( !function_exists('paintable_wp_theme_setup') ) {

    function paintable_wp_theme_setup() {
    
        // Register navigation menu
        register_nav_menus(
            array(
                'paintable_wp_primary-menu' => esc_html__( 'Header Navigation', 'paintable-wp' )
            )
        );
        
        // Localization support
        load_theme_textdomain( 'paintable-wp', get_template_directory() . '/languages' );
        
        // Feed Links
        add_theme_support( 'automatic-feed-links' );
        
        // Title Tag
        add_theme_support( 'title-tag' );

        // Post thumbnails
        add_theme_support( 'post-thumbnails' );
        add_image_size( 'paintable_wp_thumbnail-blog-grid', 200, '', true ); // Home Blog Grid.
        add_image_size( 'paintable_wp_thumbnail-widget-small', 90, 90, true ); // Sidebar Widget.
        add_image_size( 'paintable_wp_thumbnail-single-image', 715, '', true ); // Single thumbnails.
    
    }
}

// ----------------------------------------------
// ------------ JavaScrips Files ----------------
// ----------------------------------------------
if( !function_exists( 'paintable_wp_enqueue_scripts' ) ) {
    function paintable_wp_enqueue_scripts() {

        // Register css files
        wp_enqueue_style( 'paintable_wp_style', get_stylesheet_uri(), '', '2.5');
        wp_enqueue_style( 'paintable_wp_default', get_template_directory_uri() . '/css/colors/default.css', array( 'paintable_wp_style' ), '2.5' );
        wp_enqueue_style( 'paintable_wp_responsive', get_template_directory_uri() . '/css/responsive.css', array( 'paintable_wp_style' ), '2.5' );
        wp_enqueue_style( 'font-awesome', get_template_directory_uri() . '/css/font-awesome-4.7.0/css/font-awesome.min.css', array(), '4.7.0' );

        // Register scripts
        wp_enqueue_script( 'paintable_wp_customjs', get_template_directory_uri() . '/js/custom.js', array( 'jquery' ), '1.0', true );
        wp_enqueue_script( 'paintable_wp_mainfiles',  get_template_directory_uri() . '/js/jquery.main.js', array( 'jquery' ), '1.0', true );
        $paintable_wp_js_custom = array( 'template_url' => get_template_directory_uri('template_url') ); wp_localize_script( 'paintable_wp_customjs', 'paintable_wp_js_custom', $paintable_wp_js_custom );

        // Load Comments & .js files.
        if( is_single() ) {
            wp_enqueue_script( 'comment-reply' );
         }

// ----------------------------------------------
// Register Fonts: https://gist.github.com/kailoon/e2dc2a04a8bd5034682c
// ----------------------------------------------
        function paintable_wp_fonts_url() {
            $paintable_wp_font_url_google = '';
            
            /*
            Translators: If there are characters in your language that are not supported
            by chosen font(s), translate this to 'off'. Do not translate into your own language.
             */
            if ( 'off' !== _x( 'on', 'Google font: on or off', 'paintable-wp' ) ) {
                $paintable_wp_font_url_google = add_query_arg( 'family', urlencode( 'Droid+Sans:400,700|Oswald:400,700' ), "//fonts.googleapis.com/css" );
            }
            return $paintable_wp_font_url_google;
        }
        /* -- Enqueue styles -- */
        wp_enqueue_style( 'paintable_wp_fonts', paintable_wp_fonts_url(), array(), '1.0.0' );
  

    }
    add_action('wp_enqueue_scripts', 'paintable_wp_enqueue_scripts');
}


// ------------------------------------------------ 
// ------------ Notice ----------------------------
// ------------------------------------------------
function themes_admin_notice(){
    global $pagenow;
    if ( $pagenow == 'themes.php' ) {
         echo '<div class="notice notice-info is-dismissible" style="box-shadow: 0 1px 5px rgba(0,0,0,0.2); ">
             <p><a class="button" href="https://anthemes.com/" target="_blank">Anthemes.com</a> <a class="button activate" href="https://themeforest.net/item/paintable-photography-and-blog-photos-download-wordpress-theme/20210644" target="_blank">Paintable Theme</a> <a class="button activate" href="https://themeforest.net/item/paintable-photography-and-blog-photos-download-wordpress-theme/20210644/support" target="_blank">Get Support</a></p>
         </div>';
    }
}
add_action('admin_notices', 'themes_admin_notice');


// ------------------------------------------------ 
// --- One Click Demo Import (Plugin) -------------
// ------------------------------------------------ 
function anthemes_wp_plugin_intro_text( $anthemes_wp_default_text ) {
    $anthemes_wp_default_text =  /* https://wordpress.org/plugins/one-click-demo-import/faq/ the inline style is added for the demo import plugin, that is displayed via Dashboard > Appearance. */ '<div class="ocdi__intro-text" style="width:355px;">'. esc_html__( 'Please click "Import Demo Data" button only once and wait, it can take a couple of minutes.', 'paintable-wp' ) .'</div>';?><br /><img style="width:400px; margin-bottom: 20px; border-radius: 4px;" src="<?php echo get_template_directory_uri(); ?>/screenshot.png" width="400" hieght="300" alt="img" /><br /> In the meantime, you check the <a href="https://anthemes.com/docs/paintable/" target="_blank">help file</a> or <a href="https://anthemes.com/support/" target="_blank">get support</a>.<?php
    return $anthemes_wp_default_text;
}
add_filter( 'pt-ocdi/plugin_intro_text', 'anthemes_wp_plugin_intro_text' );

function anthemes_wp_import_files() {
    return array(
        array(
            'import_file_name'             => esc_html__( 'Main Demo', 'paintable-wp' ),
            'local_import_file'            => trailingslashit( get_template_directory() ) . '/functions/demo/paintable-content.xml',
            'local_import_widget_file'     => trailingslashit( get_template_directory() ) . '/functions/demo/paintable-widgets.wie',
        ) 
    );
}
add_filter( 'pt-ocdi/import_files', 'anthemes_wp_import_files' );
add_filter( 'pt-ocdi/disable_pt_branding', '__return_true' );


// ------------------------------------------------ 
// ---------- TGM_Plugin_Activation -------------
// ------------------------------------------------ 
 include( get_template_directory() . '/functions/custom/class-tgm-plugin-activation.php');
 add_action( 'tgmpa_register', 'paintable_wp_register_required_plugins' );

function paintable_wp_register_required_plugins() {

    $plugins = array(
        array(
            'name'                  => esc_html__( 'Paintable Theme Core', 'paintable-wp' ), // The plugin name
            'slug'                  => 'paintable-options', // The plugin slug (typically the folder name)
            'source'                => get_stylesheet_directory() . '/plugins/paintable-options.zip', // The plugin source
            'required'              => false, // If false, the plugin is only 'recommended' instead of required
            'version'               => '1.2', // E.g. 1.0.0. If set, the active plugin must be this version or higher, otherwise a notice is presented
            'force_activation'      => false, // If true, plugin is activated upon theme activation and cannot be deactivated until theme switch
            'force_deactivation'    => false, // If true, plugin is deactivated upon theme switch, useful for theme-specific plugins
            'external_url'          => '', // If set, overrides default API URL and points to an external URL
        ),

        array(
            'name'                  =>  esc_html__( 'Shortcodes', 'paintable-wp' ), // The plugin name
            'slug'                  => 'anthemes-shortcodes', // The plugin slug (typically the folder name)
            'source'                => get_stylesheet_directory() . '/plugins/anthemes-shortcodes.zip', // The plugin source
            'required'              => false, // If false, the plugin is only 'recommended' instead of required
            'version'               => '1.2', // E.g. 1.0.0. If set, the active plugin must be this version or higher, otherwise a notice is presented
            'force_activation'      => false, // If true, plugin is activated upon theme activation and cannot be deactivated until theme switch
            'force_deactivation'    => false, // If true, plugin is deactivated upon theme switch, useful for theme-specific plugins
            'external_url'          => '', // If set, overrides default API URL and points to an external URL
            'is_callable'           => '', // If set, this callable will be be checked for availability to determine if a plugin is active.
       ),

        array(
            'name'                  => esc_html__( 'AnLikes - Thumbs Likes System', 'paintable-wp' ), // The plugin name
            'slug'                  => 'anlikes', // The plugin slug (typically the folder name)
            'source'                => get_stylesheet_directory() . '/plugins/anlikes.zip', // The plugin source
            'required'              => false, // If false, the plugin is only 'recommended' instead of required
            'version'               => '', // E.g. 1.0.0. If set, the active plugin must be this version or higher, otherwise a notice is presented
            'force_activation'      => false, // If true, plugin is activated upon theme activation and cannot be deactivated until theme switch
            'force_deactivation'    => false, // If true, plugin is deactivated upon theme switch, useful for theme-specific plugins
            'external_url'          => '', // If set, overrides default API URL and points to an external URL
        ),

        array(
            'name'                  => esc_html__( 'AccessPress Anonymous Post', 'paintable-wp' ),
            'slug'                  => 'accesspress-anonymous-post',
            'required'              => false,
            'version'               => '',
        ),

        array(
            'name'                  => esc_html__( 'Responsive Menu', 'paintable-wp' ),
            'slug'                  => 'responsive-menu',
            'required'              => false,
            'version'               => '',
        ), 

        array(
            'name'                  => esc_html__( 'One Click Demo Import', 'paintable-wp' ),
            'slug'                  => 'one-click-demo-import',
            'required'              => false,
            'version'               => '',
        ),   
        
    );

    $config = array(
        'id'           => 'tgmpa',                 // Unique ID for hashing notices for multiple instances of TGMPA.
        'default_path' => '',                      // Default absolute path to bundled plugins.
        'menu'         => 'tgmpa-install-plugins', // Menu slug.
        'parent_slug'  => 'themes.php',            // Parent menu slug.
        'capability'   => 'edit_theme_options',    // Capability needed to view plugin install page, should be a capability associated with the parent menu used.
        'has_notices'  => true,                    // Show admin notices or not.
        'dismissable'  => true,                    // If false, a user cannot dismiss the nag message.
        'dismiss_msg'  => '',                      // If 'dismissable' is false, this message will be output at top of nag.
        'is_automatic' => false,                   // Automatically activate plugins after installation or not.
        'message'      => '',                      // Message to output right before the plugins table.

    );

    tgmpa( $plugins, $config );

}

?>