<?php /**
 * Generate the CSS for the current custom color scheme.
 */
function paintable_wp_custom_colors_css() {

// Main Color (black)
$paintable_wp_main_color1 = get_theme_mod('paintable_wp_main_color1');
if (!empty($paintable_wp_main_color1)) {
    // BG Color
    echo esc_html('
    html body,
    .logo,
    #searchform2 .buttonicon,
    #searchform2 #s,
    .md-content,
    button.md-close,
    .jquerycssmenu,
    .jquerycssmenu ul li ul,
    .top-social,
    .my-paginated-posts p a,
    footer,
    .wrap-footer,
    .snip1252 a:after { background-color: '. $paintable_wp_main_color1 .' !important;} ');
}

// Main Color (red)
$paintable_wp_main_color2 = get_theme_mod('paintable_wp_main_color2');
if (!empty($paintable_wp_main_color2)) {
    // BG Color
    echo esc_html('#back-top span       { background-color: '. $paintable_wp_main_color2 .' !important;} ');
    //Color
    echo esc_html('
    a:hover,
    .jquerycssmenu ul li a:hover , 
    .top-social li a:hover,
    #anthemes-404 h2 { color: '. $paintable_wp_main_color2 .' !important;} ');
    // Border
    echo esc_html('.widget-title h3          { border-bottom: 2px solid '. $paintable_wp_main_color2 .' !important;} ');
}

// Main Color (orange)
$paintable_wp_main_color3 = get_theme_mod('paintable_wp_main_color3');
if (!empty($paintable_wp_main_color3)) {
    // BG Color
    echo esc_html('.custom-dropdown--white::before, a.btn-download     { background-color: '. $paintable_wp_main_color3 .' !important;} ');
    // Color
    echo stripslashes('
    .jquerycssmenu ul li.current_page_item > a, 
    .jquerycssmenu ul li.current-menu-ancestor > a, 
    .jquerycssmenu ul li.current-menu-item > a, 
    .jquerycssmenu ul li.current-menu-parent >a,
    ul.top-social li.search,
    .wrap-footer p a { color: '. $paintable_wp_main_color3 .' !important;} ');    
}


// Entry Link Color
$paintable_wp_entry_linkcolor = get_theme_mod('paintable_wp_entry_linkcolor');
if (!empty($paintable_wp_entry_linkcolor)) {
    // Color
    echo esc_html('.entry p a { color: '. $paintable_wp_entry_linkcolor .' !important;} ');
    // Border
    echo esc_html('.entry p a { border-color: '. $paintable_wp_entry_linkcolor .' !important;} ');
}

 // Custom Style CSS.
$paintable_wp_custom_css_style = get_theme_mod('paintable_wp_custom_css_style');
if (!empty($paintable_wp_custom_css_style)) { 
    echo stripslashes($paintable_wp_custom_css_style); 
}

} ?>