<?php get_header(); // add header  ?> 
<?php
    // Pagination or Infinite Scroll
    $paintable_wp_home_pag_select = get_theme_mod('paintable_wp_home_pag_select');
    if (empty($paintable_wp_home_pag_select)) { $paintable_wp_home_pag_select = 'Default Pagination'; }

    // Date Format
    $paintable_wp_date_format = get_theme_mod('paintable_wp_date_format');
    if (empty($paintable_wp_date_format)) { $paintable_wp_date_format = '23 June 17'; }
    
    // Welcome message
    $paintable_wp_welcome_message = get_theme_mod('paintable_wp_welcome_message'); 

    // Hide title / date (Yes/No)
    $paintable_wp_hide_td = get_theme_mod('paintable_wp_hide_td');
    if (empty($paintable_wp_hide_td)) { $paintable_wp_hide_td = 'No'; }    
?>

<!-- Begin wrap container -->
<div class="wrap-container-full">

    <div class="subheader">
        <!-- Drop Down categories -->
        <div class="custom-dropdown custom-dropdown--white">
            <form action="<?php echo esc_url( home_url( '/' ) ); ?>" method="get">
                <?php
                $select = wp_dropdown_categories('show_option_all=' . esc_html__('Browse Categories', 'paintable-wp') . '&show_count=1&orderby=name&echo=0');
                $select = preg_replace("#<select([^>]*)>#", "<select$1 onchange='return this.form.submit()'>", $select);
                echo $select;
                ?>
                <noscript><div><input type="submit" value="<?php esc_html_e( 'View', 'paintable-wp' ); ?>" /></div></noscript>
            </form>    
        </div><!-- end .custom-dropdown -->

        <div class="welcome-section">
            <h1><?php if (!empty($paintable_wp_welcome_message)) { ?>
                    <?php echo wp_kses_post(stripslashes($paintable_wp_welcome_message)); ?>
                <?php } else { ?>
                    <?php esc_html_e( 'Hello! My name is Alexandra Jones and this is my website. Use this section to greet your visitors and describe what you do.', 'paintable-wp' ); ?>
                <?php } ?>
            </h1>
        </div><div class="clear"></div>
    </div><!-- end .subheader -->
 
    <!-- Begin Main Wrap left Content -->
    <div class="wrap-left-content-full">
        <?php if (is_category()) { ?> 
            <h3 class="index-title"><?php esc_html_e( 'All posts in:', 'paintable-wp' ); ?> <?php single_cat_title(''); ?></h3>
        <?php } elseif (is_tag()) { ?>
            <h3 class="index-title"><?php esc_html_e( 'All posts tagged in:', 'paintable-wp' ); ?> <?php single_tag_title(''); ?></h3>
        <?php } elseif (is_search()) { ?>
            <h3 class="index-title"><?php printf( esc_html__( 'Search Results for: %s', 'paintable-wp' ), '' . get_search_query() . '' ); ?></h3>
        <?php } elseif (is_author()) { ?> 
            <h3 class="index-title"><?php esc_html_e( 'All posts by:', 'paintable-wp' ); ?> <?php the_author(); ?></h3>
        <?php } ?>
        
        <ul id="infinite-articles" class="modern-grid js-masonry">
            <?php if (have_posts()) : while (have_posts()) : the_post(); ?>

            <li <?php post_class('ms-item') ?> id="post-<?php the_ID(); ?>">
                <?php if ( has_post_thumbnail()) { ?>

                    <figure id="zoomIn-<?php the_ID(); ?>" class="snip1252 column">
                        <?php the_post_thumbnail('paintable_wp_thumbnail-blog-grid', array('title' => "")); ?>
                        <a href="<?php the_permalink(); ?>"></a>
                    
                       <div class="row">
                           <?php if (function_exists('thumbs_rating_getlink')) { echo thumbs_rating_getlink(); } ?>
                       </div>                      
                    </figure>

                <?php } // post thumbnail ?>
                <?php if ($paintable_wp_hide_td == 'No') { ?>
                    <div class="modern-grid-content">
                        <h2 class="break-word"><a href="<?php the_permalink(); ?>"><?php the_title(); ?></a></h2>
                        <?php if ($paintable_wp_date_format == '1 week ago') { ?>
                            <?php if ( function_exists( 'time_ago_paintable_wp' ) ) { ?>
                                <div class="time-ago"><span><?php echo  time_ago_paintable_wp(); ?> </span> <?php esc_html_e('ago', 'paintable-wp'); ?></div>                 
                            <?php } ?>
                            <?php } else { // Default Date Format ?>
                                <div class="time-ago"><span><?php the_time('M j, Y'); ?></span></div>
                        <?php } ?>          
                        <div class="clear"></div>
                    </div><!-- end .modern-grid-content --> 
                <?php } // hide title and date ?>           
            </li><!-- end .ms-item -->   

            <?php endwhile; ?>             
        </ul><!-- end .modern-grid -->

            <!-- Pagination -->
            <?php if ($paintable_wp_home_pag_select == 'Infinite Scroll') { ?>
                <div id="nav-below" class="pagination">
                        <div class="nav-previous"><?php previous_posts_link('&lsaquo; ' . esc_html__('Newer Entries', 'paintable-wp') . ''); ?></div>
                        <div class="nav-next"><?php next_posts_link('' . esc_html__('Older Entries', 'paintable-wp') . ' &rsaquo;'); ?></div>
                </div>
            <?php } else { // Infinite Scroll ?>
                <div class="clear"></div>
                <?php if(function_exists('wp_pagenavi')) { ?>
                <?php wp_pagenavi(); ?>
                <?php } else { ?>                
                <div class="defaultpag">
                    <div class="sright"><?php next_posts_link('' . esc_html__('Older Entries', 'paintable-wp') . ' &rsaquo;'); ?></div>
                    <div class="sleft"><?php previous_posts_link('&lsaquo; ' . esc_html__('Newer Entries', 'paintable-wp') . ''); ?></div>
                </div>
                <?php } ?>
            <?php } // Default Pagination ?>
            <!-- pagination -->

        <?php else : ?> 

            <div class="not-found">
                <p><?php esc_html_e('Not Found. Sorry, but you are looking for something that isn\'t here.', 'paintable-wp'); ?></p>
            </div>
            <div class="clear"></div> 

        <?php endif; ?>   
    </div><!-- end .wrap-left-content -->

        
<div class="clear"></div>
</div><!-- end .wrap-container -->
<?php get_footer(); // add footer  ?>