<?php get_header(); // add header ?>  
<?php
    // Download Section text
    $paintable_wp_downloadtext = get_theme_mod('paintable_wp_downloadtext'); 

    // Download button text
    $paintable_wp_downloadbtn = get_theme_mod('paintable_wp_downloadbtn'); 

    // Display Download section (Yes/No)
    $paintable_wp_display_download = get_theme_mod('paintable_wp_display_download');
    if (empty($paintable_wp_display_download)) { $paintable_wp_display_download = 'No'; }    

    // Display Related Posts (Yes/No)
    $paintable_wp_display_relatedp = get_theme_mod('paintable_wp_display_relatedp');
    if (empty($paintable_wp_display_relatedp)) { $paintable_wp_display_relatedp = 'No'; }  
?>

<!-- Begin Content -->
<div class="wrap-container-full">
<div class="wrap-fullwidth">

    <div class="single-content">

        <article>
            <?php if (have_posts()) : while (have_posts()) : the_post();  ?>
            <div <?php post_class('post') ?> id="post-<?php the_ID(); ?>">

                <section class="article-top">
                    <h1 class="article-title entry-title"><?php the_title(); ?></h1>
                    <div class="meta-and-buttons">
                        <?php if (function_exists('thumbs_rating_getlink')) { echo thumbs_rating_getlink(); } ?>
                        <ul class="meta-entry-top">
                            <li><a href="<?php echo get_author_posts_url( get_the_author_meta( 'ID' ) ); ?>"><?php echo get_avatar( get_the_author_meta( 'user_email' ), 25 ); ?></a>
                            <li class="vcard author"><span class="fn"><?php the_author_posts_link(); ?></span> <?php esc_html_e('on', 'paintable-wp'); ?> <span class="updated"><?php the_time('F j, Y'); ?></span></li>
                            <li>
                                <?php if ( function_exists( 'paintable_wp_single_share' ) ) { paintable_wp_single_share(); } ?>
                            </li>
                        </ul><div class="clear"></div>
                    </div> 
                    
                    <?php if ( has_post_thumbnail()) { ?>
                        <?php the_post_thumbnail('paintable_wp_thumbnail-single-image'); ?>
                        <div class="clear spadding-b"></div>
                    <?php } else { ?> <div class="clear"></div> <?php } ?>

                    <?php if ( has_post_thumbnail()) { ?>
                        <?php if ($paintable_wp_display_download == 'Yes') { ?>
                            <section class="download-button">
                                <?php if (!empty($paintable_wp_downloadtext)) { ?>
                                    <?php echo wp_kses_post(stripslashes($paintable_wp_downloadtext)); ?>
                                <?php } ?>                                
                                <a href="<?php the_post_thumbnail_url(); ?>" class="btn-download" download><?php if (!empty($paintable_wp_downloadbtn)) { echo wp_kses_post(stripslashes($paintable_wp_downloadbtn)); } ?></a>
                            </section>
                        <?php } ?>
                    <?php } ?>
                </section>

                <section class="article-middle">
                    <div class="entry">
                        <!-- excerpt -->
                        <?php if ( !empty( $post->post_excerpt ) ) : ?> <div class="entry-excerpt"><h3> <?php echo the_excerpt(); ?> </h3></div> <?php else : false; endif;  ?> 

                        <!-- entry content -->
                        <?php the_content(''); // content ?>
                        <?php wp_link_pages(); // content pagination ?>
                        <div class="clear"></div>

                        <div class="tags-cats"> 
                            <!-- categories -->
                            <?php $vloma_wp_single_categories = get_the_category(); 
                                if ($vloma_wp_single_categories): ?>
                                <div class="ct-size"><i class="fa fa-camera" aria-hidden="true"></i><?php the_category('<i class="fa fa-camera" aria-hidden="true"></i>'); // categories ?></div><div class="clear"></div>
                            <?php endif; ?> 

                            <!-- tags -->
                            <?php $paintable_wp_single_tags = get_the_tags(); 
                            if ($paintable_wp_single_tags): ?>
                                <div class="ct-size"><?php the_tags('<i class="fa fa-tags" aria-hidden="true"></i>', '<i class="fa fa-tags" aria-hidden="true"></i>'); // tags ?></div><div class="clear"></div>
                            <?php endif; ?>                                              
                        </div><!-- end .tags-cats -->

                    </div><!-- end .entry -->
                    <div class="clear"></div>
                </section>

            </div><!-- end #post -->
            <?php endwhile; endif; ?>
        </article><!-- end article -->
   

        <?php if ($paintable_wp_display_relatedp == 'Yes') { ?>
        <section class="middle-related">
            <hr>
            <ul id="infinite-articles" class="modern-grid js-masonry">
                <?php $paintable_wp_related = get_posts( array( 'category__in' => wp_get_post_categories($post->ID), 'ignore_sticky_posts' => 1, 'numberposts' => esc_attr(10), 'post__not_in' => array($post->ID) ) );
                if( $paintable_wp_related ) foreach( $paintable_wp_related as $post ) { setup_postdata($post); ?>    

                <li <?php post_class('ms-item') ?> id="post-<?php the_ID(); ?>">
                    <?php if ( has_post_thumbnail()) { ?>

                        <figure id="zoomIn" class="snip1252 column">
                            <?php the_post_thumbnail('paintable_wp_thumbnail-blog-grid', array('title' => "")); ?>
                            <a href="<?php the_permalink(); ?>"></a>
                        
                           <div class="row">
                               <?php if (function_exists('thumbs_rating_getlink')) { echo thumbs_rating_getlink(); } ?>
                           </div>                      
                        </figure>

                    <?php } // post thumbnail ?>
                    <div class="modern-grid-content">
                        <h2><a href="<?php the_permalink(); ?>"><?php the_title(); ?></a></h2>
                        <?php if ( function_exists( 'time_ago_paintable_wp' ) ) { ?>
                            <div class="time-ago"><span><?php echo  time_ago_paintable_wp(); ?> </span> <?php esc_html_e('ago', 'paintable-wp'); ?></div>                 
                        <?php } ?>               
                        <div class="clear"></div>
                    </div><!-- end .modern-grid-content -->              
                </li><!-- end .ms-item -->   

                <?php } wp_reset_postdata();  ?>          
            </ul><!-- end .modern-grid -->
            <div class="clear"></div>  
        </section>
        <?php } // Hide related articles by default ?>    



        <!-- Comments -->
        <section class="article-bottom">
            <div id="comments" class="comments">
                <?php if (get_comments_number()==0) { } else { ?>
                    <div class="article-btn"><h3><?php esc_html_e( 'All Comments', 'paintable-wp' ); ?></h3></div>
                <?php } ?>
                <div class="clear"></div>
                <?php comments_template('', true); // comments ?>
            </div>
            <div class="clear"></div>
        </section>
    </div><!-- end .single-content -->


    <!-- Begin Sidebar (right) -->
    <?php  get_sidebar(); // add sidebar ?>
    <!-- end #sidebar  (right) -->    


    <div class="clear"></div>
</div><!-- end .wrap-fullwidth  -->
</div><!-- end .wrap-container-full -->
<?php get_footer(); // add footer  ?>